=== debian/changelog ===
lxqt-panel (0.10.0-7) unstable; urgency=medium

  * Fix typo in hurd plugin rules

 -- Alf Gaida <agaida@siduction.org>  Mon, 28 Dec 2015 18:57:15 +0100

lxqt-panel (0.10.0-6) unstable; urgency=medium

  * different handling of non-linux-os:
    - hurd: no cpuload-, networkmonitor-, volume- and sensors-plugin
    - kfreebsd: no cpuload-, networkmonitor- and volume-plugin

 -- Alf Gaida <agaida@siduction.org>  Mon, 28 Dec 2015 17:07:30 +0100

lxqt-panel (0.10.0-5) unstable; urgency=medium

  * Build volume-plugin only for linux.

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 13:24:08 +0100

lxqt-panel (0.10.0-4) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.
  * Build cpuoad- and networkmonitor-plugin only for linux.

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 11:15:32 +0100

lxqt-panel (0.10.0-3) unstable; urgency=medium

  * Added dependency lxmenu-data (Closes: 807066)

 -- Alf Gaida <agaida@siduction.org>  Sun, 20 Dec 2015 23:44:22 +0100

lxqt-panel (0.10.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 17 Nov 2015 12:35:47 +0800

lxqt-panel (0.10.0-1) experimental; urgency=medium

  * Cherry-picked upstream version 0.10.0.
  * Adjust minimum versions for liblxqt and libqtxdg

 -- Alf Gaida <agaida@siduction.org>  Fri, 13 Nov 2015 22:47:09 +0100

lxqt-panel (0.9.0+20151101-1) experimental; urgency=medium

  [ Alf Gaida ]
  * Cherry-picked upstream version 0.9.0+20151101.
  * Install manpage for lxqt-panel
  * Deleted debian/lintian-overrides
  * Cleaned up debian/.gitignore
  * Switched to experimental because of LXQt namespace change
  * Added minimum version for liblxqt and libqtxdg
  * Added upstream signing key and use it in watch file
  * drop transitional packages
  * drop breaks/replaces
  * append  -Wl,--as-needed to linker flags
  * copyright fixed, the panel uses only LGPL2.1+, file headers
    fixed upstream
  * Initial release (Closes: #747610)

  [ Shih-Yuan Lee (FourDollars) ]
  * Polish debian/control by 'cme fix dpkg-control'.

  [ Andrew Lee (李健秋) ]
  * Added myself as Uploader.
  * Sorting build-depends.
  * Removing whitespaces at EOL and EOF.

 -- Alf Gaida <agaida@siduction.org>  Sun, 25 Oct 2015 02:27:12 +0200
