=== debian/control ===
Source: lxqt-panel
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: cmake (>= 3.0.2),
               debhelper (>= 9),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libglib2.0-dev,
               libicu-dev,
               liblxqt0-dev (>= 0.10.0),
               liblxqt-globalkeys0-dev,
               liblxqt-globalkeys-ui0-dev,
               libkf5windowsystem-dev,
               libkf5solid-dev,
               libmenu-cache-dev,
               libpulse-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 1.3.0),
               libsensors4-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.3.0),
               libx11-dev,
               libxcomposite-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcb-damage0-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-panel.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-panel.git
Homepage: https://github.com/lxde/lxqt-panel

Package: lxqt-panel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxmenu-data
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contain the LXQt panel.
