## lxqt-panel 0.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
 project(lxqt-panel)
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
+option(PULL_TRANSLATIONS "Pull translations" ON)
+option(WITH_SCREENSAVER_FALLBACK "Include support for converting the deprecated 'screensaver' plugin to 'quicklaunch'. This requires the lxqt-leave (lxqt-session) to be installed in runtime." ON)
 
 # additional cmake files
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -34,8 +36,6 @@
   # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,-no-undefined")
 endif()
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-
 #########################################################################
 
 add_definitions (-Wall)
@@ -63,7 +63,10 @@
 
 # Warning: This must be before add_subdirectory(panel). Move with caution.
 set(PLUGIN_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/lxqt-panel")
-add_definitions(-DPLUGIN_DIR=\"${PLUGIN_DIR}\")
+add_definitions(
+    -DPLUGIN_DIR=\"${PLUGIN_DIR}\"
+    -DQT_USE_QSTRINGBUILDER
+)
 message(STATUS "Panel plugins location: ${PLUGIN_DIR}")
 
 #########################################################################
@@ -96,14 +99,11 @@
 if(CPULOAD_PLUGIN)
     find_library(STATGRAB_LIB statgrab)
 
-    if(NOT(${STATGRAB_LIB} MATCHES "NOTFOUND"))
-        list(APPEND ENABLED_PLUGINS "Cpu Load")
-        add_subdirectory(plugin-cpuload)
-  else()
-        message(STATUS "")
-        message(STATUS "CPU Load plugin requires libstatgrab")
-        message(STATUS "")
-    endif()
+    if(NOT STATGRAB_LIB)
+        message(FATAL_ERROR "CPU Load plugin requires libstatgrab")
+    endif()
+    list(APPEND ENABLED_PLUGINS "Cpu Load")
+    add_subdirectory(plugin-cpuload)
 endif()
 
 setByDefault(DIRECTORYMENU_PLUGIN Yes)
@@ -154,24 +154,15 @@
     add_subdirectory(plugin-quicklaunch)
 endif()
 
-setByDefault(SCREENSAVER_PLUGIN Yes)
-if(SCREENSAVER_PLUGIN)
-    list(APPEND ENABLED_PLUGINS "Screensaver")
-    add_subdirectory(plugin-screensaver)
-endif()
-
 setByDefault(SENSORS_PLUGIN Yes)
 if(SENSORS_PLUGIN)
     find_library(SENSORS_LIB sensors)
 
-    if(NOT(${SENSORS_LIB} MATCHES "NOTFOUND"))
-        list(APPEND ENABLED_PLUGINS "Sensors")
-        add_subdirectory(plugin-sensors)
-    else()
-        message(STATUS "")
-        message(STATUS "Sensors plugin requires lm_sensors")
-        message(STATUS "")
-    endif()
+    if(NOT SENSORS_LIB)
+        message(FATAL_ERROR "Sensors plugin requires lm_sensors")
+    endif()
+    list(APPEND ENABLED_PLUGINS "Sensors")
+    add_subdirectory(plugin-sensors)
 endif()
 
 setByDefault(SHOWDESKTOP_PLUGIN Yes)
@@ -186,14 +177,11 @@
 if(NETWORKMONITOR_PLUGIN)
     find_library(STATGRAB_LIB statgrab)
 
-    if(NOT(${STATGRAB_LIB} MATCHES "NOTFOUND"))
-        list(APPEND ENABLED_PLUGINS "Network Monitor")
-        add_subdirectory(plugin-networkmonitor)
-    else()
-        message(STATUS "")
-        message(STATUS "Network Monitor plugin requires libstatgrab")
-        message(STATUS "")
-    endif()
+    if(NOT STATGRAB_LIB)
+        message(FATAL_ERROR "Network Monitor plugin requires libstatgrab")
+    endif()
+    list(APPEND ENABLED_PLUGINS "Network Monitor")
+    add_subdirectory(plugin-networkmonitor)
 endif()
 
 setByDefault(SYSSTAT_PLUGIN Yes)
@@ -232,27 +220,25 @@
 if(VOLUME_PLUGIN)
     if (VOLUME_USE_PULSEAUDIO)
         find_package(PulseAudio)
+        if (NOT PULSEAUDIO_FOUND)
+            message(FATAL_ERROR "PulseAudio not found, but required (VOLUME_USE_PULSEAUDIO) for Volume plugin!")
+        endif ()
     endif(VOLUME_USE_PULSEAUDIO)
 
     if(VOLUME_USE_ALSA)
         find_package(ALSA)
-    endif()
-
-    if(PULSEAUDIO_FOUND OR ALSA_FOUND)
-        list(APPEND ENABLED_PLUGINS   "Volume")
-        message(STATUS "")
-        message(STATUS "Volume plugin will be built")
-        message(STATUS "    ALSA: ${ALSA_FOUND}")
-        message(STATUS "    PulseAudio: ${PULSEAUDIO_FOUND}")
-        message(STATUS "")
-        add_subdirectory(plugin-volume)
-    else()
-        message(STATUS "")
-        message(STATUS "Volume plugin requires pulseaudio or alsa")
-        message(STATUS "    ALSA: ${ALSA_FOUND}")
-        message(STATUS "    PulseAudio: ${PULSEAUDIO_FOUND}")
-        message(STATUS "")
-    endif()
+        if (NOT ALSA_FOUND)
+            message(FATAL_ERROR "ALSA not found, but required (VOLUME_USE_ALSA) for Volume plugin!")
+        endif ()
+    endif()
+
+    list(APPEND ENABLED_PLUGINS   "Volume")
+    message(STATUS "")
+    message(STATUS "Volume plugin will be built")
+    message(STATUS "    ALSA: ${ALSA_FOUND}")
+    message(STATUS "    PulseAudio: ${PULSEAUDIO_FOUND}")
+    message(STATUS "")
+    add_subdirectory(plugin-volume)
 endif()
 
 setByDefault(WORLDCLOCK_PLUGIN Yes)
@@ -280,13 +266,3 @@
 message(STATUS "*********************************************************************")
 
 add_subdirectory(panel)
-
-# building tarball with CPack -------------------------------------------------
-include(InstallRequiredSystemLibraries)
-set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
-set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
-set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
-set(CPACK_GENERATOR TBZ2)
-set(CPACK_SOURCE_GENERATOR TBZ2)
-set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
-include(CPack)
