=== debian/changelog ===
lxqt-panel (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0 (Closes: #821382).
  * Removed some build dependencies:
    - cmake
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
  * Bumped some build dependencies:
    - liblxqt0-dev (>= 0.11.1)
    - liblxqt-globalkeys0-dev (>= 0.11.1)
    - liblxqt-globalkeys-ui0-dev (>= 0.11.1)
    - libsysstat-qt5-0-dev (>= 0.3.3)
  * Fixed VCS-Git, pointing to the right branch
  * Bumped years in d/copyright 

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 18:12:54 +0100
