=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure --\
-		-DPULL_TRANSLATIONS=OFF\
-		-DUPDATE_TRANSLATIONS=OFF\
-		-DDOM_PLUGIN=YES\
-		-DCMAKE_BUILD_TYPE=RelWithDebInfo\
+		-DPULL_TRANSLATIONS=OFF \
+		-DUPDATE_TRANSLATIONS=OFF \
+		-DDOM_PLUGIN=YES \
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(NOT_LINUX)
