=== debian/changelog ===
lxqt-panel (0.12.0-8ubuntu1) bionic; urgency=medium

  * Cherry-pick some upstream commits because the upstream release cycle is
    horribly slow (and without this it'll be years before they come in):
    - Fix wrongly positioned popups (LP: #1527013).
      + fix-wrongly-positioned-popups.patch
      + Upstream commit 7391172.
    - plugin-volume: Use a specific icon for the panel.
      + use-specific-panel-icon.patch
      + Upstream commit eaa65e5.
    - Fix various memory leaks.
      + fix-memory-leaks.patch
      + mainmenu: Fix possible leaks in menu-cache usage.
        * Upstream commit 04630d4.
      + mount: Fix leak by correctly assigning the QObject parent.
        * Upstream commit d1bd23f.
      + taskbar: Avoid conditionals on unintialized values by proper
        initialization of data members
        * Upstream commit 1cb5778.
    - Avoid infinite recursion when no icon is available.
      + avoid-infinite-recursion-icons.patch
      + Upstream commit b9b4133.
    - Add Move and Resize items in the task-button context menu.
      + add-move-resize-items.patch
      + Upstream commit b69fe72.
    - Set the initial task button text (and icon) correctly.
      + set-initial-task-button-correctly.patch
      + Upstream commit 563d6bf.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 05 Feb 2018 20:04:48 -0600

lxqt-panel (0.12.0-8build1) bionic; urgency=medium

  * No change rebuild against libdbusmenu-qt5-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 30 Jan 2018 22:29:41 +0300

lxqt-panel (0.12.0-8) unstable; urgency=medium

  * Fix plugin-volume, use pavucontrol-qt (Closes: #884547) 

 -- Alf Gaida <agaida@siduction.org>  Sat, 16 Dec 2017 18:36:45 +0100

lxqt-panel (0.12.0-7) unstable; urgency=medium

  * Bumped Standards to 4.1.2
  * Removed branch from VCS fields
  * Removed debian/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 21:28:35 +0100

lxqt-panel (0.12.0-6) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 20:04:19 +0100

lxqt-panel (0.12.0-5) experimental; urgency=medium

  * Ported back the config move to /usr/share/xdg (Closes: #883034) 

 -- Alf Gaida <agaida@siduction.org>  Sat, 02 Dec 2017 03:23:04 +0100

lxqt-panel (0.12.0-4) experimental; urgency=medium

  * Ported back some cosmetics (volume % and clock size)
    (Closes: #880150)

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Nov 2017 01:49:39 +0100

lxqt-panel (0.12.0-3) experimental; urgency=medium

  * Fixed host OS query in rules - we really want to know the system
    instead of set it

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Oct 2017 21:27:27 +0100

lxqt-panel (0.12.0-2) experimental; urgency=medium

  * Added missed breaks and replaces for lxqt-common << 0.12.0
    (Closes: #879910) - Thanks Andreas Beckmann <anbe@debian.org>
  * Time off fixed upstream (Closes: #855379)

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Oct 2017 23:27:44 +0200

lxqt-panel (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped liblxqt0-dev to >= 0.12.0
  * Bumped liblxqt-globalkeys0-dev to >= 0.12.0
  * Bumped liblxqt-globalkeys-ui0-dev to >= 0.12.0
  * Bumped libsysstat-qt5-0-dev to >= 0.4.0
  * Bumped Standards to 4.1.1 - no changes needed
  * Removed patches - patch was taken from upstream

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 22:32:05 +0200

lxqt-panel (0.11.1-4) unstable; urgency=medium

  * Removed some not needed versions from build dependencies
  * Bumped Standards to 4.1.0 - no changes needed
  * Ported back fix for explicit keyword (Closes: #873599)
    Thanks Adrian Bunk for spotting this.

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Sep 2017 01:29:45 +0200

lxqt-panel (0.11.1-3) unstable; urgency=medium

  * Recommends lxqt-notificationd (Closes: #866886)

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 18:26:25 +0200

lxqt-panel (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Added to Dependencies: lxqt-about, lxqt-policykit
  * Added Recommends: lxqt-config, lxqt-panel-l10n, lxqt-qtplugin, lxqt-runner,
    lxqt-session, pavucontrol-qt | pavucontrol, qlipper
    (Closes: #866255)
  * Suggests: lxqt | lxqt-core

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 13:25:03 +0200
