=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-panel/releases .*/lxqt-panel-([\d\.]+).tar.xz
